Skip to main content
GET
List pipeline run artifacts of an application

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

application_id
string<uuid>
required

The application whose connected repository's pipeline is addressed.

run_id
string<uuid>
required

The pipeline run.

Query Parameters

limit
integer
default:50

Page size.

Required range: 1 <= x <= 100
cursor
string

The next_cursor of the previous page.

Response

One page of artifacts.

artifacts
object[]
required
next_cursor
string | null
required

Pass as cursor for the next page; null on the last page.